import request from '@/utils/request'

/**
 * 获取违法占道列表
 */
export function getList(params) {
    return request.get('/v2/api/illegal_occupy', { params })
}

export function getOne(id) {
    return request.get(`/v2/api/illegal_occupy/${id}`);
}

export function getNoticeMessage(id) {
    return request.get(`/v2/api/enforce_message?page=1&size=1&query=enforce_job_id==${id};message_type==ILLEGAL_NOTICE`);
}

export function getPunishmentMessage(id) {
    return request.get(`/v2/api/enforce_message?page=1&size=1&query=enforce_job_id==${id};message_type==PUNISHMENT_NOTICE`);
}